Skip to navigation

Dream Memory

View as Markdown

Dream now: consolidate this directory without waiting for idle time, even with automatic dreaming off.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired

Query parameters

directoryenumOptionalDefaults to agent
The shared agent directory, or one end user's directory.
Allowed values:
environmentenumOptionalDefaults to published
Allowed values:
tenantIdstring or nullOptional1-128 characters
userIdstring or nullOptional1-128 characters

Response

Successful Response
dreamedAtdouble or null
jobIdstring or null
requestedAtdouble or null
statusenum or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error